%define name sndconfig
%define version 0.39
%define release 3mdk

Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Summary: The Red Hat Linux sound configuration tool.
Group: System/Configuration/Hardware
Source: sndconfig-%{PACKAGE_VERSION}.tar.bz2
Source1: sndconfig-pofiles.tar.bz2
%ifarch i386 alpha i586 k6
Requires: isapnptools >= 1.16, sox, awesfx, playmidi, kernel >= 2.2.0, kudzu
%endif
BuildRoot: /tmp/rhsound
ExclusiveArch: i386 sparc alpha i586 k6

%description
Sndconfig is a text based tool which sets up the configuration
files you'll need to use a sound card with a Linux-Mandrake system.
Sndconfig can be used to set the proper sound type for programs
which use the /dev/dsp, /dev/audio and /dev/mixer devices.  The
sound settings are saved by the aumix and sysV runlevel scripts.

Install sndconfig if you need to configure your sound card.

%prep
%setup -n sndconfig -a 1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,man/man8}
mkdir -p $RPM_BUILD_ROOT/usr/share/locale
make prefix=$RPM_BUILD_ROOT/usr install


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
/usr/sbin/sndconfig
%ifarch i386 alpha
/usr/sbin/pnpprobe
/usr/man/man8/pnpprobe.8.bz2
%endif
/usr/share/sndconfig/sample.au
/usr/share/sndconfig/sample.midi
/usr/share/locale/*/*/sndconfig.mo
/usr/man/man8/sndconfig.8.bz2

%changelog
* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.39-3mdk
- fix group
- fix install section

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add upgraded po-files for fr and pl from pablo.

* Tue Nov 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.39.

* Thu Oct  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.38 (thnks allxsan <allxsan@tiscalinet.it>)

* Fri Sep 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Fixed Indonesian locale (it is 'id' not 'in')

* Sat Jul 31 1999 Evandro Fernandes Giovanini <efegiova@linux-mandrake.com>
- sndconfig v0.34 for Linux-Mandrake

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Thu Apr 22 1999 Bill Nottingham <notting@redhat.com>
- add "support" for a lot more PCI cards

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- release for Red Hat Linux 6.0

* Fri Apr  9 1999 Bill Nottingham <notting@redhat.com>
- allow both 0x530 & 0x534 as IO port choices for WSS based things

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- add a double-extra sanity check for pci cards

* Wed Mar 17 1999 Bill Nottingham <notting@redhat.com>
- add a kludge for Vibra16X

* Thu Mar 11 1999 Bill Nottingham <notting@redhat.com>
- switch CMI8330 to use ad1848 driver
- rework Multisound Pinnacle support

* Tue Mar  9 1999 Jeff Johnson <jbj@redhat.com>
- add in_ID.po

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- midi testing support

* Thu Feb 18 1999 Bill Nottingham <notting@redhat.com>
- add ALS100, add PnP support for it

* Thu Jan 28 1999 Bill Nottingham <notting@redhat.com>
- make everything use two dma= parameters

* Mon Jan 24 1999 Bill Nottingham <notting@redhat.com>
- card lists weren't in sync
- fix pci probing bug

* Sun Jan 10 1999 Bill Nottingham <notting@redhat.com>
- build against gpm (new newt)

* Mon Jan  4 1999 Bill Nottingham <notting@redhat.com>
- more PnP fixes (Opti PnP, CMI8330)
- require newer isapnptools so we don't run into LD bug.

* Mon Dec 28 1998 Bill Nottingham <notting@redhat.com>
- large pile of PnP fixes (Opti, SGalaxy, SSVIVO, ESS1868, others....)
- bump version to 0.29

* Thu Dec  3 1998 Bill Nottingham <notting@redhat.com>
- fix for SoundScape VIVO...

* Mon Nov 16 1998 Bill Nottingham <notting@redhat.com>
- awesfx goes in /bin

* Mon Nov  2 1998 Bill Nottingham <notting@redhat.com>
- added hack to make it less likely to lock up alphas

* Fri Oct 30 1998 Bill Nottingham <notting@redhat.com>
- stupid programmer error, part deux

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)
- now for alpha
- organize by bus, not platform

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- translation updates

* Mon Oct 12 1998 Bill Nottingham <notting@redhat.com>
- fixes to lists of resources
- add more translations
- don't set auto-unload

* Thu Oct  8 1998 Bill Nottingham <notting@redhat.com>
- oops, forgot a newtResume()
- make /etc/conf.modules mode 0644, not 0600
- merge SBPCI entries with ES1370, since we can't tell them apart anyways

* Fri Oct  2 1998 Bill Nottingham <notting@redhat.com>
- added scrollbar to card list
- updated to 0.26

* Wed Sep 30 1998 Bill Nottingham <notting@redhat.com>
- fixes for AudioTrix Pro, add OPL3-SA2/3/x
- assorted random bugfixes
- add Turkish translations (from H. Turgut Uyar <uyar@cs.itu.edu.tr>)
- add Romanian translations

* Thu Sep 24 1998 Bill Nottingham <notting@redhat.com>
- add a few more cards
- disable Wavefront support for now

* Thu Sep 24 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>
- added pt_BR translations
- i18n patches

* Wed Sep 23 1998 Bill Nottingham <notting@redhat.com>
- fix PCI-probing bug

* Tue Sep 22 1998 Bill Nottingham <notting@redhat.com>
- when merging isapnp.conf changes, use current preamble

* Fri Sep 18 1998 Bill Nottingham <notting@redhat.com>
- check that they actually have modular sound

* Fri Sep 11 1998 Bill Nottingham <notting@redhat.com>
- PCI probing!

* Tue Sep  8 1998 Bill Nottingham <notting@redhat.com>
- SPARC support.

* Wed Aug 26 1998 Bill Nottingham <notting@redhat.com>
- YABF

* Tue Aug 25 1998 Bill Nottingham <notting@redhat.com>
- fixed bad logic w/midi assignment

* Fri Aug 21 1998 Bill Nottingham <notting@redhat.com>
- fixed message segfault

* Thu Aug 20 1998 Bill Nottingham <notting@redhat.com>
- changed bug reporting address

* Wed Aug 19 1998 Bill Nottingham <notting@redhat.com>
- introduce support for non SB sound cards

* Sun Aug 02 1998 Erik Troan <ewt@redhat.com>
- built aginst newt 0.30

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- fixed problem with overwriting the conf.modules file

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>
- fixed problem w/ free()ing bad pointers

* Fri Dec 19 1997 Erik Troan <ewt@redhat.com>
- general Makefile cleanups

* Fri Nov  7 1997 Michael Fulbright <msf@redhat.com>
- fixed bug in reading current settings from conf.modules

* Fri Oct 31 1997 Michael Fulbright <msf@redhat.com>
- fixed behavior to work with rhsound service
- added support for midi in conf.modules, isapnp.conf
- reduced duplicate info stored in /etc/sysconfig/sound

* Wed Oct 29 1997 Mike Wangsmo <wanger@redhat.com>
- removed README's from tarball and coverted to buildroot

* Thu Oct 24 1997 Michael Fulbright <msf@redhat.com>
- added some docs on the sound modules

* Tue Oct 22 1997 Michael Fulbright <msf@redhat.com>
- changed sound sample to linux d00d instead of gorby d00d

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- fixed creation of temporary files to be more secure.

* Mon Oct  6 1997 Michael Fulbright <msf@redhat.com>
- added man page

* Fri Oct  3 1997 Michael Fulbright <msf@redhat.com>
- first version

